For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Weekly Recurring Npts
      • POSTCreate Monthly Recurring Npts
      • POSTCreate Daily Recurring Npts
      • POSTCreate Yearly Recurring Npts
      • DELDelete Recurring Npts
      • POSTValidate Recurring Npts
      • PUTUpdate Recurring Npts
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Recurrency

Create Weekly Recurring Npts

POST
https://api.projectmanager.com/api/data/npt/:taskId/recurring/weekly
POST
/api/data/npt/:taskId/recurring/weekly
$curl -X POST https://api.projectmanager.com/api/data/npt/taskId/recurring/weekly \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "taskIds": [
15 "string"
16 ],
17 "changeSetId": "string"
18 }
19}
Changes an existing Non-Project Task into a Recurring Task, so that it will recur regularly given the specified rules. A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.
Was this page helpful?
Previous

Create Monthly Recurring Npts

Next
Built with

Changes an existing Non-Project Task into a Recurring Task, so that it will recur regularly given the specified rules.

A Recurring Task is one that must be completed on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Task, you must first create a regular Task with the necessary information, then call one of the Create Recurring Task APIs. To remove an instance of a Recurring Task, call Delete Recurring Task and specify one or more instances of the Recurring Task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the NPT Tasks

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The weekly recurring settings
recurringEndDatestring or nullOptionalformat: "date-time"
RecurringEndDate
endAfterNumberOfOccurencesinteger or nullOptional
EndAfterNumberOfOccurences
repeatOnEveryNumberOfWeeksinteger or nullOptional
RepeatOnEveryNumberOfWeeks
repeatWeekDayslist of integersOptional
RepeatWeekDays

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
RecurringTaskChangeSetDetails